# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift lib

require 'trefoil/version'

Gem::Specification.new do |s|
  s.name = 'trefoil'
  s.version = Trefoil::VERSION
  s.authors = ['swarley']
  s.email = ['matthew.b.carey@gmail.com']

  s.summary = '4chan Public API Client'
  s.description = 'A client for accessing the 4chan public api.'
  s.homepage = 'https://github.com/swarley/trefoil-rb'
  s.license = 'MIT'

  s.files = `git ls-files -z`.split(?\x0).reject do |f|
    f =~ /^(spec|doc|examples)/
  end
  s.require_paths = ['lib']

  s.add_development_dependency 'rake', '~> 12.0'
  s.add_development_dependency 'rspec', '~> 3.8.0'
  s.add_development_dependency 'rubocop', '~> 0.65'
  s.add_development_dependency 'webmock', '~> 3.4.0'
  s.add_development_dependency 'yard', '~> 0.9.9'
end
